#include <QtWidgets>
#include "widget_options.h"

Widget_Options::Widget_Options(QWidget *parent) :
    QWidget(parent)
{
    QHBoxLayout * Box = new QHBoxLayout();
    QWidget* Area = new QWidget();
    Area->setObjectName("AreaOptions");
    Area->setStyleSheet("#AreaOptions {background-color: #E0E0E0;"
                        "border: 1px solid #707070;"
                        "margin-right: 2px;"
                        "margin-bottom: 2px;"
                        "}");
    Area->setSizePolicy(QSizePolicy::Expanding,QSizePolicy::Expanding);
    Box->setMargin(1);
    Box->addWidget(Area);

    QHBoxLayout * iBox = new QHBoxLayout();
    QLabel *Title = new QLabel(tr("Стиль оформления:"));
    ComboStyle = new QComboBox();
    ComboStyle->addItem(tr("WinXP"));
    ComboStyle->addItem(tr("Win"));
    ComboStyle->addItem(tr("Fusion"));

    iBox->addWidget(Title);
    iBox->addWidget(ComboStyle);
    iBox->addStretch();

    QWidget *Empty = new QWidget();
    Empty->setLayout(iBox);

    QVBoxLayout * vBox = new QVBoxLayout();
    vBox->addWidget(Empty);
    vBox->addStretch();
    Area->setLayout(vBox);
    setLayout(Box);
    connect(ComboStyle,SIGNAL(currentIndexChanged(int)),this,SLOT(SlotStyleChanged(int)));
}

void Widget_Options::SlotStyleChanged(int iIdx)
{
    if (iIdx == 0) QApplication::setStyle(QStyleFactory::create("WindowsXP"));
    if (iIdx == 1) QApplication::setStyle(QStyleFactory::create("Windows"));
    if (iIdx == 2) QApplication::setStyle(QStyleFactory::create("Fusion"));
}
